/*
 *  Copyright (C) 2001 Sandy Meier <smeier@kdevelop.org>   
 */
 

#ifndef __KDEVPART_VISUALBOYADVANCE_H__
#define __KDEVPART_VISUALBOYADVANCE_H__
  
#include <tqguardedptr.h>
#include <kdevplugin.h>
#include <kdialogbase.h>

namespace VisualBoyAdvance {  
  class VisualBoyAdvancePart : public KDevPlugin
    {
      TQ_OBJECT
  
	
	public:
      
      VisualBoyAdvancePart(TQObject *parent, const char *name, const TQStringList &);
      ~VisualBoyAdvancePart();
      private slots:
	void slotExecute();
      void projectConfigWidget(KDialogBase *dlg);
      
    };
  
}
#endif
